devel/p5-Cache-Cache - The NetBSD Packages Collection

The Cache interface

The Cache modules are designed to assist a developer in persisting
data for a specified period of time.  Often these modules are used
in web applications to store data locally to save repeated and
redundant expensive calls to remote machines or databases.  People
have also been known to use Cache::Cache for its straightforward
interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use
abstraction of the filesystem or shared memory.

The Cache package provides Cache::Cache, a generic interface
for creating persistent data stores.  This interface is implemented
by the Cache::MemoryCache, Cache::SharedMemoryCache, Cache::FileCache,
Cache::SizeAwareFileCache, Cache::SizeAwareMemoryCache, and
Cache::SizeAwareSharedMemoryCache classes.

This work aggregates and extends the obsolete File::Cache and
IPC::Cache projects.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Error security/p5-Digest-SHA1 devel/p5-IPC-ShareLite lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0powerpcp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0powerpcp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0powerpcp5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 8.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0aarch64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0aarch64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0aarch64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0alphap5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0alphap5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0alphap5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv6hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv6hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv6hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv6hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0earmv7hfp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0i386p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0m68kp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0m68kp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0m68kp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0mips64ebp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0mips64ebp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0mips64ebp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0mipselp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0mipselp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0powerpcp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0powerpcp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sh3elp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sh3elp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sh3elp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparc64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparc64p5-Cache-Cache-1.08nb5.tgz
NetBSD 9.0sparc64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparc64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparcp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparcp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0sparcp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0vaxp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0vaxp5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz
NetBSD 9.0x86_64p5-Cache-Cache-1.08nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.